<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue May 05 01:45:39 EEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-05-05">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">V</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#generateClientPdf-int-">generateClientPdf(int)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#generateErrorOrderCPdf-model.Client-model.Product-model.Order-">generateErrorOrderCPdf(Client, Product, Order)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#generateOrderCPdf-model.Client-model.Product-model.Order-int-">generateOrderCPdf(Client, Product, Order, int)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#generateOrderPdf-int-">generateOrderPdf(int)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#generateProductPdf-int-">generateProductPdf(int)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getAddress--">getAddress()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getAddress--">getAddress()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#getAllClients--">getAllClients()</a></span> - Static method in class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/OrderDAO.html#getAllOrders--">getAllOrders()</a></span> - Static method in class dao.<a href="../dao/OrderDAO.html" title="class in dao">OrderDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ProductDAO.html#getAllProducts--">getAllProducts()</a></span> - Static method in class dao.<a href="../dao/ProductDAO.html" title="class in dao">ProductDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#getClientById-int-">getClientById(int)</a></span> - Static method in class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#getClientByName-java.lang.String-">getClientByName(String)</a></span> - Static method in class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getCommand--">getCommand()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#getConnection--">getConnection()</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getId--">getId()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getId--">getId()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getId--">getId()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getIdClient--">getIdClient()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getIdProduct--">getIdProduct()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getOrderProduct--">getOrderProduct()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getPrice--">getPrice()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getPrice--">getPrice()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ProductDAO.html#getProductById-int-">getProductById(int)</a></span> - Static method in class dao.<a href="../dao/ProductDAO.html" title="class in dao">ProductDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ProductDAO.html#getProductByName-java.lang.String-">getProductByName(String)</a></span> - Static method in class dao.<a href="../dao/ProductDAO.html" title="class in dao">ProductDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Command.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/Command.html" title="class in model">Command</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
